package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;
 
public class PapRiwayatKesehatanVO extends BaseTransactionVO {

	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianFk")
	@NotNull(message = "PAPpengkajian tidak boleh kosong")

	@Caption(value = "Object PAPpengkajian")
	private PapPengkajianVO paPpengkajian;

	@Column(name = "ObjectPAPpengkajianFk", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianId;

	@NotNull(message = "rawat tidak boleh kosong")
	@Column(name = "rawat", nullable = false)
	@Caption(value = "rawat")
	private Boolean rawat;
	@NotNull(message = "alatImplan tidak boleh kosong")
	@Column(name = "alatImplan", nullable = false)
	@Caption(value = "alatImplan")
	private Boolean alatImplan;
	@NotNull(message = "penyakitMayor tidak boleh kosong")
	@Column(name = "penyakitMayor", nullable = false)
	@Caption(value = "penyakitMayor")
	private Boolean penyakitMayor;

	public PapPengkajianVO getPaPpengkajian() {
		return paPpengkajian;
	}

	public void setPaPpengkajian(PapPengkajianVO paPpengkajian) {
		this.paPpengkajian = paPpengkajian;
	}

	public String getPaPpengkajianId() {
		return paPpengkajianId;
	}

	public void setPaPpengkajianId(String paPpengkajianId) {
		this.paPpengkajianId = paPpengkajianId;
	}

	public Boolean getRawat() {
		return rawat;
	}

	public void setRawat(Boolean rawat) {
		this.rawat = rawat;
	}

	public Boolean getAlatImplan() {
		return alatImplan;
	}

	public void setAlatImplan(Boolean alatImplan) {
		this.alatImplan = alatImplan;
	}

	public Boolean getPenyakitMayor() {
		return penyakitMayor;
	}

	public void setPenyakitMayor(Boolean penyakitMayor) {
		this.penyakitMayor = penyakitMayor;
	}

}
